{% set CodiceModulo = "DOM_COG_NOM" %}
{% set Urn = "document:c_h930:dichiarazione.nascita" %}
{% set Urn_procedimento = "anagrafe;attribuzione.cognome" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="{% block campi_firma %}Titolare_CodiceFiscale,AventeTitolo_CodiceFiscale{% endblock campi_firma %}"
campi_firma_label="il dichiarante che non si è autenticato"
classi_modulo="Servizi demografici"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di attribuzione del cognome e nome al momento della nascita"
destinatario_amministrazione=""
destinatario_ufficio="UOSERVIZIDEMOGRAFICI"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}Domanda di attribuzione del cognome e nome al momento della nascita{% endblock title %}

{% block content %}
 <globo_fondo_pagina areaheight="150" scope="3">
  <div type="firma">
    <div class="container border bg-light" style="margin-left: 42pt;width: 19cm; display: none; pd4ml-display: inline">
      <div class="form-row text-left">
        <div class="form-group text-left" style="width: 25%;">
          <div class="bg-white" style="height: 56px;vertical-align: middle;border-radius: .25rem;">
            <input class="form-control" style="width: 80%;" id="Luogo_PDF" name="Luogo_PDF" label="Luogo">
          </div>
          <div style="text-align: left;"><label for="Luogo_PDF"> Luogo </label></div>
        </div>
        <div class="form-group text-left" style="width: 25%;">
          <div class="bg-white" style="height: 56px;vertical-align: middle;border-radius: .25rem;">
            <input class="form-control" style="width: 50%;" id="Data_PDF" name="Data_PDF" label="Data">
          </div>
          <div style="text-align: left;"><label for="Data_PDF"> Data </label></div>
        </div>
        <div class="form-group text-left" style="width: 25%;">
          <div class="bg-white" style="width: 100%;height: 56px;vertical-align: middle;border-radius: .25rem;">
            
          </div>
          <div style="text-align: left;"> <label for="Data_PDF"> Il dichiarante </label></div>
        </div>
        <div class="form-group text-left">
          <div class="bg-white" style="width: 100%;height: 56px;vertical-align: middle;border-radius: .25rem;">
            
          </div>
          <div style="text-align: left;"> <label for="Data_PDF"> Il dichiarante </label></div>
        </div>
      </div>
    </div>
  </div>
</globo_fondo_pagina>


{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

 <input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' e ' + #AventeTitolo_Cognome.value().toUpperCase() + ' ' + #AventeTitolo_Nome.value().toUpperCase() + ' - attribuzione cognome nome paterno e materno'" id="Oggetto" name="Oggetto" type="hidden"/>

<div class="container">
  <div class="title-1"> Domanda di attribuzione del cognome e nome al momento della nascita </div>
  <div class="title-2"> Ai sensi della Sentenza della Corte Costituzionale 27/04/2022, n. 131 </div>
</div>

<input dynamic_check="true" id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Padre"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Padre"/>
{{ anagrafica.persona_fisica("Titolare", "Il/la sottoscritto/a", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<input dynamic_check="true" id="AventeTitolo_DatiPersonaObbligatori" name="AventeTitolo_DatiPersonaObbligatori" type="hidden"/>
<input id="AventeTitolo_Titolo" name="AventeTitolo_Titolo" type="hidden" value="Madre"/>
<input id="AventeTitolo_Ruolo" name="AventeTitolo_Ruolo" type="hidden" value="Madre"/>
{{ anagrafica.persona_fisica("AventeTitolo", "e il/la sottoscritto/a", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}
<div class="container border bg-light mt-0 mb-0">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-4">
      <label for="Parametri_StatoCivile"> Stato civile </label>
      <input class="form-control" id="Parametri_StatoCivile" name="Parametri_StatoCivile" label="Stato civile">
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_CognomeConiugato"> Cognome del coniugato </label>
      <input class="form-control" id="Parametri_CognomeConiugato" name="Parametri_CognomeConiugato" label="Cognome del coniugato">
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_NomeConiugato"> Nome del coniugato </label>
      <input class="form-control" id="Parametri_NomeConiugato" name="Parametri_NomeConiugato" label="Nome del coniugato">
    </div>
  </div>
</div>

<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="col-lg-12">
      <span class="title"> genitori, affidatari o tutori del bambino/a </span>
    </div>
    <div class="form-group col-lg-2">
      <label for="Parametri_DataNascita"> Data di nascita </label>
      <input class="form-control" id="Parametri_DataNascita" name="Parametri_DataNascita" label="Data di nascita">
    </div>
    <div class="form-group col-lg-5">
      <label for="Parametri_LuogoNascita"> Luogo di nascita </label>
      <input class="form-control" id="Parametri_LuogoNascita" name="Parametri_LuogoNascita" label="Luogo di nascita">
    </div>
    <div class="form-group col-lg-1">
      <label for="Parametri_Sesso"> Sesso </label>
      <input class="form-control" id="Parametri_Sesso" name="Parametri_Sesso" label="Sesso">
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_RapportoParentela"> Rapporto di parentela </label>
      <input class="form-control" id="Parametri_RapportoParentela" name="Parametri_RapportoParentela" label="Rapporto di parentela">
    </div>
  </div>
</div>

<div class="container">
  <div class="title-3"> CHIEDONO </div>
</div>

<div class="container border bg-light">
    {% set testi = [
      "l'attribuzione del cognome materno al proprio figlio/a",
      "l'attribuzione del cognome paterno al proprio figlio/a",
      "l'attribuzione del cognome paterno e materno o viceversa al proprio figlio/a"
    ]%}
    {% for testo in testi %}
    <div class="form-check indent-1">
      {% if loop.first %} <div id="Tassonomia_DichiaraCondizione" label="Cognome attribuito" mandatory_enabled="true"></div>{% endif %}
      <input class="form-check-input" id="Tassonomia_DichiaraCondizione{{ loop.index }}" name="Tassonomia_DichiaraCondizione" type="radio" value="{{ loop.index }}">
      <label class="form-check-label text-justify" for="Tassonomia_DichiaraCondizione{{ loop.index }}"> {{ testo|safe }} </label>
    </div>
    {% endfor %}
</div>

<div class="container border bg-light" mandatory_enabled="true">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> con conseguente assunzione del seguente cognome e nome </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-6">
      <label for="Parametri_CognomeAttribuito"> Cognome attribuito al figlio/a </label>
      <input class="form-control" id="Parametri_CognomeAttribuito" name="Parametri_CognomeAttribuito" label="Cognome attribuito al figlio/a">
    </div>
    <div class="form-group col-lg-6">
      <label for="Parametri_NomeAttribuito"> Nome attribuito al figlio/a </label>
      <input class="form-control" id="Parametri_NomeAttribuito" name="Parametri_NomeAttribuito" label="Nome attribuito al figlio/a">
    </div>
  </div>
</div>
<div class="container">
  <div class="paragraph text-justify"> <span class="infoes"> (*) indicare sopra quello che dovrà essere inteso come nome unico anche se composto da più parti di nome, (massimo tre), in quanto come tale risulterà in seguito in tutti gli atti successivi (Es.: Giorgio Maria – Carlo Alberto – Anna Carla)
    Per i prenomi costituiti da più elementi questi andranno tutti riportati negli estratti, nei certificati e in tutti i documenti personali. Andranno invece riportati solo gli elementi che precedono un'eventuale virgola interposta tra di essi.
    Si rammenta che è vietato imporre al bambino lo stesso nome del padre vivente, di un fratello o di una sorella viventi ai sensi dell’articolo 34 Ordinamento di Stato Civile. 
     </span> </div>
</div>

{{ utils.Dichiara_445('DICHIARANO') }}

<div class="container">
  {% set dic = [
    "di essere a conoscenza delle indicazioni stabilite dalla Sentenza della Corte Costituzionale n. 286/2016 e dalla Decisione della Corte Costituzionale n.131/2022, Attribuzione del cognome di entrambi i genitori,( per i nati con cittadinanza italiana);",
    "di essere a conoscenza che la scelta del cognome e del nome non è contraria all'ordinamento giuridico dello Stato di appartenenza, (per i nati con cittadinanza straniera);",
    "che il bambino è nato vivo ed è vivente al momento della denuncia di nascita;",
    "che il bambino è nato vivo, ma è morto prima della denuncia di nascita (vale come semplice dichiarazione di nascita senza efficacia di riconoscimento per i figli naturali);",
    "che il bambino è nato morto (semplice denuncia senza efficacia di riconoscimento per i figli);",
    "che in caso di parto plurimo numero d’ordine del neonato"
  ]%}
  {% for dichiara in dic %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="ParametriDichiara{{ loop.index }}" name="ParametriDichiara{{ loop.index }}" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="ParametriDichiara{{ loop.index }}"> {{ dichiara|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="ParametriDichiara8" name="ParametriDichiara8" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="ParametriDichiara8"> di non essere parenti né affini nei gradi che ostano al riconoscimento ai sensi dell'articolo 251 del Codice Civile </label>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<globo_salto_pagina></globo_salto_pagina>
<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<div class="container border bg-light" id="firme" name="firme" style="pd4ml-display: none;">
  <div class="form-row">
    <div class="form-group col-lg-3 text-left">
      <input class="form-control text-left firma-height bg-white" id="Luogo" name="Luogo" label="Luogo" style="color:black;" disabled readonly >
      <label for="Luogo"> Luogo </label>
    </div>
    <div class="form-group col-lg-3 text-left">
      <input class="form-control text-left firma-height bg-white" format="date" id="Data" name="Data" label="Data" style="color:black;" disabled readonly >
      <label for="Data"> Data </label>
    </div>
    <div class="form-group col-lg-3 text-left">
      <input class="form-control text-left firma-height bg-white" id="Firmatario" name="Firmatario" label="Firmatario" disabled readonly>
      <label for="Firmatario">  Il dichiarante </label>
    </div>
    <div class="form-group col-lg-3 text-left">
      <input class="form-control text-left firma-height bg-white" id="Firmatario2" name="Firmatario2" label="Firmatario" disabled readonly>
      <label for="Firmatario2">  Il dichiarante </label>
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.salva()}}

{% block globo_modulo %}
<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
{% endblock globo_modulo %}

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
